SpecializationUtil.registerSpecialization("KuhnDLCAddin", "KuhnDLCAddin", g_currentModDirectory.."scripts/KuhnDLCAddin.lua");

RegisterMod = {};

function RegisterMod:loadMap(name)

	if self.registered == nil then
		self.registered = true;
		
		for _, vehicleType in pairs(VehicleTypeUtil.vehicleTypes) do
			if vehicleType ~= nil then
				local allowInsertion = SpecializationUtil.hasSpecialization(Sprayer, vehicleType.specializations) and SpecializationUtil.hasSpecialization(AnimatedVehicle, vehicleType.specializations) and SpecializationUtil.hasSpecialization(Foldable, vehicleType.specializations);
				if allowInsertion then
					if vehicleType.name:find('.') then
						customEnvironment = Utils.splitString('.', vehicleType.name)[1];
					end;

					if customEnvironment then
						if rawget(SpecializationUtil.specializations, customEnvironment .. '.KuhnDLCAddin') ~= nil or rawget(SpecializationUtil.specializations, customEnvironment .. '.kuhnDLCAddin') ~= nil then
							allowInsertion = false;
						end;
					end;
				end;

				if allowInsertion then
					table.insert(vehicleType.specializations, SpecializationUtil.getSpecialization("KuhnDLCAddin"));
				end;
			end;
		end;
		
	end;
	
end;

function RegisterMod:deleteMap()
end;

function RegisterMod:keyEvent(unicode, sym, modifier, isDown)
end;

function RegisterMod:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RegisterMod:update(dt)
end;

function RegisterMod:draw()
end;

addModEventListener(RegisterMod);